Bug 200440 - Building perl-5.8.8-8 without threading fails
Summary: Building perl-5.8.8-8 without threading fails
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-27 18:03 UTC by Daniel Sutcliffe
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 19:18:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Sutcliffe 2006-07-27 18:03:18 UTC
Description of problem:
Building perl-5.8.8-8 without threading fails with a straightfoward syntax error.

Version-Release number of selected component (if applicable):
perl-5.8.8-8

How reproducible:
easy

Steps to Reproduce:
1. change %define threading 0
2. rpmbuild -ba perl.spec
  
Additional info:
Problem is in the perl-5.8.8-R-switch.patch
Where S_init_perllib()definition changed the 'pTHX,' should be 'pTHX_'

Comment 1 Jason Vas Dias 2006-07-27 19:07:48 UTC
Oops. Sorry about that - now fixed in CVS - will go in with the next version
(perl-5.8.8-10.fc6).


Comment 2 Robin Norwood 2006-10-01 23:34:50 UTC
assigning to rnorwood@redhat.com


Note You need to log in before you can comment on or make changes to this bug.